POLYORB-CONFIG(1)

NAME
polyorb-config - script to get information about the installed version of PolyORB.

SYNOPSIS
polyorb-config [--prefix[=DIR]] [--exec-prefix[=DIR]] [--version|-v] [--config] [--libs] [--cflags] [--idls] [--help]

DESCRIPTION
polyorb-config is a tool that is used to determine the compiler and linker flags that should be used to compile and link programs that use PolyORB.

OPTIONS
polyorb-config accepts the following options:

--prefix[=DIR]
     Output the directory in which PolyORB architecture-independent files are installed, or set this directory to DIR.

--exec-prefix[=DIR]
     Output the directory in which PolyORB architecture-dependent files are installed, or set this directory to DIR.

--version|-v
    Print the currently installed version of PolyORB on the standard output.

--config
    Print the configuration of the currently installed version of PolyORB on the standard output.

--libs
    Print the linker flags that are necessary to link a PolyORB program.

--cflags
    Print the compiler flags that are necessary to compile a PolyORB program.

--idls
    Print the flags to set up path to CORBA's IDL for idlac.

--with-appli-perso=P,P,P
    Restrict output to only those flags relevant to the listed applicative personalities.

--with-proto-perso=P,P,P
    Restrict output to only those flags relevant to the listed protocol personalities.

--with-corba-services=S,S,S
    Restrict output to only those flags relevant to the listed services.

--help
    Print help message.

AUTHORS
The PolyORB team, polyorb-devel@lists.adacore.com.

SEE ALSO
The PolyORB WWW page, http://libre.adacore.com/polyorb/